GetItDoneGetItDone Docs
API ReferenceDaily plan

Set a section's daily status

PATCH
/v1/daily-plan

Sets the fill-status of one section of the credential user's board for a date (creating the section row if the date was never touched — the in-app board creates it on view).

Authorization

bearerAuth
headerAuthorizationBearer <token>

A gid_ API key (Profile → API Keys) or an OAuth 2.1 access token.

Query Parameters

date*string

Board date as YYYY-MM-DD (UTC day).

Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
Formatdate

Request Body

application/json
  1. body

Which section, and its new status.

section*DailySection

Daily-board section: TODO = the plan list, PROGRESS = the in-progress list.

Value in"TODO""PROGRESS"
status*DailyStatus

Fill-state of one daily-board section for one date.

Value in"COMPLETED""PLANNED""NOT_FILLED""FILLING"

Response Body

The updated section status.

application/json
  1. response

One section's fill-status for one date.

date*string
Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
Formatdate
section*DailySection

Daily-board section: TODO = the plan list, PROGRESS = the in-progress list.

Value in"TODO""PROGRESS"
status*DailyStatus

Fill-state of one daily-board section for one date.

Value in"COMPLETED""PLANNED""NOT_FILLED""FILLING"
Example Request
curl -X PATCH 'https://app.nowgetitdone.com/v1/daily-plan?date=2026-07-23' \  -H 'Content-Type: application/json' \  -d '{  "section": "TODO",  "status": "COMPLETED"}'
Example Response
{  "date": "2019-08-24",  "section": "TODO",  "status": "COMPLETED"}